The locator is zoomable
02/19/2016 10:09 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Document view
Target version: 2.4.0-2835 (rev. org.gvsig.desktop-2.0.202)
Severity: Minor Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

The locator is zoomable like a view, while the zoom action should be disabled on it. The locator should have a fixed spatial extent, i.e.
the maximum extent of the layers added to it.
Steps in order to reproduce the issue:
    -  create a view and add a vector layer;
    -  add the vector layer to the locator;
    -  use the mouse wheel on the locator.

Result: the locator is zoomable and the maximum extent is lost.

Related to #3091 and #3567.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3567: Zoom at locator sh... Invalid 06/03/2015

Associated revisions
Revision 43480 - 09/05/2017 01:24 PM - Joaquín  del Cerro Murciano

refs #4119, #3567. Deshabilitado el zoom con la rueda del raton en el localizador.

History
#1 - 02/19/2016 12:02 PM - Mario Carrera
- Related to gvSIG bugs #3567: Zoom at locator should be enabled added

#2 - 02/24/2016 02:13 PM - Álvaro Anguix
- Target version deleted (2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153))

#3 - 09/05/2017 12:23 PM - Antonio Falciano
- Target version set to 2.5.1-3044

When the locator changes its extent due to user interaction, then it's quite difficult to restore the maximum extent of the available layers. So the locator
becomes quite "unstable" to use.
#4 - 09/05/2017 01:25 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.4.0-2835 (rev. org.gvsig.desktop-2.0.202)
- Status changed from New to Fixed

#5 - 09/06/2017 12:37 PM - Antonio Falciano
- Status changed from Fixed to Closed
